﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirplaneWithRadar.MovementStrategy
{
    public interface IMoveableObject
    {
        ObjectParameteres? GetObjectPosition { get; }
        int GetStep { get; }
        bool CheckCanMove(Direction direction);
        void MoveObject(Direction direction);
    }
}
