﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirplaneWithRadar.Entities
{
     public class EntityAirplaneWithRadar : EntityAirplane
    {
        public Color AdditionalColor { get; private set; }
        public bool Radar { get; private set; }
        public bool DopBak { get; private set; }
        public EntityAirplaneWithRadar(int speed, double weight, Color bodyColor, Color additionalColor, bool radar, bool dopbak) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Radar = radar;
            DopBak = dopbak;
        }
    }
}
